using UnityEngine;

// Controls an Arrow shot by an Archer. Moves it across the play field until it hits the AntiPlayer.
public class ArrowController : MonoBehaviour
{

    [SerializeField] float speed;
    [SerializeField] Opponent opponent;

    public int direction;
    public Archer archer;

    Rigidbody2D rb;

    void Awake()
    {
        rb = GetComponentInChildren<Rigidbody2D>();
    }

    void Update()
    {
        rb.velocity = transform.up * -1 * speed;
    }

    void OnTriggerEnter2D(Collider2D other)
    {
        if (other.CompareTag("AntiPlayer"))
        {
            other.GetComponent<Fighter>().DealDamage(archer.GetArrowAttackDamage());
            Destroy(gameObject);
        }
    }
}
