using System.Collections;
using UnityEngine;
using UnityEngine.UI;

// The text element used in DamageIndicatorCanvas. Moves upwards and fades out,
// destroying itself once the opacity hits 0.
public class DamageIndicatorText : MonoBehaviour
{

    [SerializeField] float fadeSpeed = 1f;
    [SerializeField] float riseSpeed = 0.75f;

    public string text;
    Text textComponent;

    void Start()
    {
        textComponent = GetComponent<Text>();
        textComponent.text = text;

        StartCoroutine(RiseAndFade());
    }

    IEnumerator RiseAndFade()
    {
        while (textComponent.color.a > 0)
        {
            var color = textComponent.color;
            color.a = Mathf.Max(color.a - fadeSpeed * Time.deltaTime, 0);
            textComponent.color = color;

            var pos = transform.position;
            pos.y += riseSpeed * Time.deltaTime;
            transform.position = pos;

            yield return null;
        }

        Destroy(gameObject);
    }
}
